### Method

# Ide Debugger move_async

#### Declaration

    void
    ide_debugger_move_async (
      IdeDebugger* self,
      IdeDebuggerMovement movement,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Advances the debugger to the next breakpoint or until the debugger stops. `movement` should describe the type of movement to perform.

Available since: | 3.32

#### Parameters

`movement` | `IdeDebuggerMovement`
| An `IdeDebuggerMovement`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call upon completion of the operation.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.